Skip to main content

Update the configuration variable with the given key with the values in the given object

PUT 

/personaldata-backend/config/variables/:key

Update the configuration variable with the given key with the values in the given object. The key and at least one of value and description must be given.

curl -u user:password -i -X PUT -H 'content-type:application/json'
-d '{"key":"myVariable","value":"aValue","description":"A description"}'
http://orchestra-host:orchestra-port/personaldata/rest/config/variables/myVariable

Request​

Responses​

Returns JSON object containing the updated ConfigurationVariable.